{config, pkgs, lib, ... }:

{
  environment.systemPackages = with pkgs; [
    vscode
    neovim
    hyfetch
    thunderbird-unwrapped
    discord
    spotify
    xivlauncher
    telegram-desktop
    wineWowPackages.stable
    winetricks
    libreoffice
    signal-desktop
    owncloud-client
    ntfs3g
    corectrl
    git
    mangohud
    gamescope
    bottles
    anydesk
    piper
    openrgb-with-all-plugins
    gnome-tweaks
    yarg
    jq
    kdenlive
    kitty
    discordo
];

  programs.steam.enable = true;
  services.ratbagd.enable = true;
  environment.shellAliases = {
    edit-apps = "nvim /etc/nixos/apps.nix";
    spt = "exec /home/arael/.cargo/bin/spotify_player";
  };
}
